GET
/
v1
/
events
List attributed pack verb-execution events
curl --request GET \
  --url https://api.example.com/v1/events
import requests

url = "https://api.example.com/v1/events"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "events": [
    {
      "args": [
        "<string>"
      ],
      "box_name": "<string>",
      "duration_ms": 1,
      "env_set": [
        "<string>"
      ],
      "id": "<string>",
      "outcome": "<string>",
      "pack": "<string>",
      "project": "<string>",
      "rev": "<string>",
      "ts": "<string>",
      "verb": "<string>",
      "who": "<string>",
      "error": "<string>",
      "exit_code": 123
    }
  ]
}

Query Parameters

project
string

Filter by project

box
string

Filter by box

pack
string

Filter by pack

limit
integer

Max events (default 100, cap 1000)

Required range: x >= 0

Response

200 - application/json

Verb events (oldest first)

events
object[]
required